import { RepositoryFactoryHttp, Transaction } from 'symbol-sdk';
import { ConfigPreset, NodeAccount } from '../model';
export declare type TransactionsToAnnounce = {
    node: NodeAccount;
    transactions: Transaction[];
};
export declare class AnnounceService {
    announce(repositoryFactory: RepositoryFactoryHttp, presetData: ConfigPreset, transactionNodes: TransactionsToAnnounce[], generationHash: string, tokenAmount?: string): Promise<void>;
}
